/// <reference types="jquery" />
import { ElementRef, OnDestroy } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
import { ButtonGroupItem } from "../../meta/button-group.meta";
/**
 * 年月日 日期控件
 */
export declare class ButtonGroupComponent implements OnDestroy {
    private elementRef;
    private toolsService;
    constructor(elementRef: ElementRef, toolsService: ToolsService);
    rem: number;
    buttonClass: string;
    buttonName: string;
    buttonBoxWidth: number;
    direction: "top" | "right" | "bottom" | "left";
    clickData: any;
    buttonGroupList: ButtonGroupItem[];
    _buttonGroupList: any[];
    buttonGroup: JQuery;
    _buttonGroup: ElementRef;
    button: JQuery;
    _button: ElementRef;
    box: JQuery;
    _box: ElementRef;
    eventIdClass: string;
    show: boolean;
    transparent: boolean;
    clickHandler: any;
    click(): void;
    viewHide(): void;
    itemClick(item: ButtonGroupItem): void;
    onWindowResize(): void;
    ngOnDestroy(): void;
}
