import { AfterViewInit, ViewContainerRef, EventEmitter, ComponentRef } from "@angular/core";
import { DynamicComponentService } from "../../service/dynamic-component.service";
/**
 * 动态组件
 */
export declare class DynamicComponentComponent implements AfterViewInit {
    private viewContainerRef;
    private dynamicComponentService;
    constructor(viewContainerRef: ViewContainerRef, dynamicComponentService: DynamicComponentService);
    componentSelector: any;
    transmitData: any;
    onComponentRefInit: EventEmitter<ComponentRef<any>>;
    ngAfterViewInit(): void;
}
