/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { FileUploadService } from "../../service/file-upload.service";
import { AlertService } from "../../service/alert.service";
import { ImportFile } from "../../meta/file-upload.meta";
/**
 * 文件导入
 */
export declare class FileImportComponent implements AfterViewInit {
    private elementRef;
    private fileUploadService;
    private alertService;
    constructor(elementRef: ElementRef, fileUploadService: FileUploadService, alertService: AlertService);
    host: JQuery;
    fileInput: JQuery;
    state: "none" | "uploading" | "executing" | "end";
    iconClass: string;
    label: string;
    disabled: boolean;
    _fileAccept: string;
    fileAccept: string;
    importFile: EventEmitter<ImportFile>;
    percent: number;
    onchange(): void;
    selectFile(): void;
    ngAfterViewInit(): void;
}
