/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { FileUploadService } from "../../service/file-upload.service";
import { AlertService } from "../../service/alert.service";
import { ToolsService } from "../../service/tools.service";
import { ModalService } from "../../service/modal.service";
import { RemService } from "../../service/rem.service";
/**
 * 图片上传
 */
export declare class ImageUploadComponent implements AfterViewInit {
    private elementRef;
    private fileUploadService;
    private alertService;
    private toolsService;
    private modalService;
    private remService;
    constructor(elementRef: ElementRef, fileUploadService: FileUploadService, alertService: AlertService, toolsService: ToolsService, modalService: ModalService, remService: RemService);
    rem: number;
    host: JQuery;
    image: JQuery;
    fileInput: JQuery;
    jyName: string;
    jyRequiredMessage: string;
    jyRequired: boolean;
    jyValidate: boolean;
    imageAccept: string;
    disabled: boolean;
    _imageWidth: number;
    _imageHeight: number;
    imageWidth: number;
    imageHeight: number;
    showDelete: boolean;
    _imageId: string;
    imageId: string;
    imageIdChange: EventEmitter<string>;
    mouseover: boolean;
    imageUrl: string;
    uploading: boolean;
    nullImageFontSize: number;
    nullImageMarginTop: number;
    formatSize: string;
    percent: number;
    loaded: string;
    currentSpeed: string;
    onchange(): void;
    selectFile(): void;
    download(): void;
    openPreview(): void;
    imageResize(): void;
    ngAfterViewInit(): void;
}
