import { DynamicComponentTransmitData } from "../../../meta/dynamic-component.meta";
import { ModalParams, SubmitRemarkModalParams } from "../../../meta/modal.meta";
import { ValidatorControl } from "../../../meta/validator.meta";
export declare class SubmitRemarkModalComponent implements DynamicComponentTransmitData<SubmitRemarkModalParams> {
    constructor();
    transmitData: SubmitRemarkModalParams;
    validatorControl: ValidatorControl;
    remark: string;
    submit(button: HTMLElement): void;
    close(): void;
    setTransmitData(transmitData: SubmitRemarkModalParams): void;
    static createParams(modalParams: SubmitRemarkModalParams): ModalParams;
}
