/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { RemService } from "../../service/rem.service";
/**
 * 滑动组件
 */
export declare class SliderComponent implements AfterViewInit {
    private elementRef;
    private remService;
    private host;
    constructor(elementRef: ElementRef, remService: RemService);
    rem: number;
    left: number;
    stepDecimal: number;
    width: number;
    step: number;
    min: number;
    max: number;
    _data: number;
    data: number;
    dataChange: EventEmitter<any>;
    _lastData: number;
    emitDateChange(): void;
    dataChangeDot(): void;
    move: boolean;
    click(event: MouseEvent): void;
    mousedown(event: MouseEvent): void;
    sliderLine: JQuery;
    sliderDot: JQuery;
    ngAfterViewInit(): void;
}
