import { TransmitData } from "./dynamic-component.meta";
import { IconType } from "./common.meta";
export interface ToastModalParams extends TransmitData {
    init: (totalToastControl: TotalToastControl) => void;
}
export interface TotalToastControl {
    add?: (insideToastParams: InsideToastParams) => void;
}
export interface ToastParams {
    content: string;
    iconType?: IconType;
    timer?: number;
    closeHandler?: () => void;
}
export interface InsideToastParams {
    content: string;
    iconType: IconType;
    timer: number;
    closeHandler: () => void;
    preClose?: () => void;
    closeFlag?: boolean;
    close?: () => void;
    change?: (iconType: IconType, content: string) => void;
}
export interface ToastControl {
    close: () => void;
    change: (iconType: IconType, content: string) => void;
}
