/// <reference types="jquery" />
import { Direction } from "./common.meta";
export interface TooltipParams {
    host: JQuery | HTMLElement;
    content: string;
    time?: number;
    direction?: Direction;
    level?: TooltipLevel;
    closeHandler?: () => void;
}
export interface TooltipControl {
    close: Function;
}
export declare enum TooltipLevel {
    ERROR = 0,
    INFO = 1,
}
