/// <reference types="jquery" />
/// <reference types="node" />
import { ToolsService } from "./tools.service";
import { ResetType } from "../meta/common.meta";
import { GlobalEventsProvider } from "../meta/provider.meta";
/**
 * windowResize
 */
export declare class GlobalEventsService {
    private toolsService;
    private $window;
    private $body;
    private clickWindowResizeSelector;
    constructor(toolsService: ToolsService);
    addClickWindowResizeSelector(clickWindowResizeSelector: string[]): void;
    setProvider(globalEventsProvider: GlobalEventsProvider): void;
    addWindowResize(handler: (eventObject: JQueryEventObject, ...args: any[]) => any, id?: string): ResetType;
    addBodyClick(handler: (eventObject: JQueryEventObject, ...args: any[]) => any, id?: string): ResetType;
    windowResizeTimer: NodeJS.Timer;
    windowResize(): void;
}
