import { ProvinceCityAreaProvider } from "../meta/provider.meta";
import { ProvinceCityArea } from "../meta/province-city-area.meta";
import { DataAndLabel } from "../meta/common.meta";
/**
 * ProvinceCityArea
 */
export declare class ProvinceCityAreaService {
    provinceCityAreaProvider: ProvinceCityAreaProvider;
    constructor();
    setProvider(provinceCityAreaProvider: ProvinceCityAreaProvider): void;
    private getAllCodeAndName(provinceCityAreaList, parent, index);
    private codeParentListMap;
    private codeMap;
    private nameMap;
    private allCity;
    private allArea;
    getNameByCode(code: string): string;
    getCodeByName(name: string): string;
    getChildrenByCode(code: string): ProvinceCityArea[];
    getParentListByCode(code: string): ProvinceCityArea[];
    getProvinceCityAreaData(): ProvinceCityArea[];
    getAllCity(): ProvinceCityArea[];
    getAllArea(): ProvinceCityArea[];
    getAllProvinceToDataAndLabel(): DataAndLabel[];
}
