import { AfterViewInit } from "@angular/core";
import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { AlertParams } from "../../meta/alert.meta";
/**
 * 提示框
 */
export declare class AlertComponent implements DynamicComponentTransmitData<AlertParams>, AfterViewInit {
    show: boolean;
    alertParams: AlertParams;
    mode: "ok" | "yesOrNo";
    setTransmitData(alertParams: AlertParams): void;
    endFlag: boolean;
    okClick(): void;
    yesClick(): void;
    noClick(): void;
    close(): void;
    closed(event: AnimationEvent): void;
    ngAfterViewInit(): void;
}
