import { DateService } from "../../service/date.service";
import { TimeItem } from "../../meta/datetime-picker.meta";
export declare class DatetimePickerService {
    private dateService;
    private yearList;
    private monthList;
    private hoursList;
    private minutesList;
    private secondsList;
    private minDate;
    private maxDate;
    constructor(dateService: DateService);
    getYearList(): TimeItem[];
    getMonthList(): TimeItem[];
    getHoursList(): TimeItem[];
    getMinutesList(): TimeItem[];
    getSecondsListt(): TimeItem[];
    getMinDate(): Date;
    getMaxDate(): Date;
}
