/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { FileUploadService } from "../../service/file-upload.service";
import { FileInfo } from "../../meta/file-upload.meta";
import { AlertService } from "../../service/alert.service";
/**
 * 附件上传
 */
export declare class AttachmentComponent implements AfterViewInit {
    private elementRef;
    private fileUploadService;
    private alertService;
    constructor(elementRef: ElementRef, fileUploadService: FileUploadService, alertService: AlertService);
    host: JQuery;
    fileInput: JQuery;
    jyName: string;
    jyRequiredMessage: string;
    jyRequired: boolean;
    jyValidate: boolean;
    _fileAccept: string;
    fileAccept: string;
    disabled: boolean;
    showDelete: boolean;
    _fileId: string;
    fileSize: string;
    fileId: string;
    fileIdChange: EventEmitter<string>;
    state: "none" | "uploading" | "loading";
    iconClass: string;
    fileInfo: FileInfo;
    formatSize: string;
    percent: number;
    loaded: string;
    currentSpeed: string;
    onchange(): void;
    selectFile(): void;
    download(): void;
    ngAfterViewInit(): void;
}
