/// <reference types="jquery" />
import { AfterViewInit, ElementRef } from "@angular/core";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { ImagePreviewParams } from "../../meta/image-preview.meta";
/**
 * 提示框
 */
export declare class ImagePreviewComponent implements DynamicComponentTransmitData<ImagePreviewParams>, AfterViewInit {
    private elementRef;
    constructor(elementRef: ElementRef);
    imagePreviewParams: ImagePreviewParams;
    imagePreview: JQuery;
    setTransmitData(imagePreviewParams: ImagePreviewParams): void;
    closeFlag: boolean;
    close(): void;
    click(event: MouseEvent): void;
    ngAfterViewInit(): void;
}
