import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { NotificationModalParams, NotificationParams } from "../../meta/notification.meta";
import { RightClickMenuItem } from "../../meta/right-click-menu.meta";
/**
 * notification
 */
export declare class NotificationComponent implements DynamicComponentTransmitData<NotificationModalParams> {
    openList: NotificationParams[];
    closeSelf: symbol;
    closeOther: symbol;
    closeAll: symbol;
    rightClickMenuItem: RightClickMenuItem[];
    onMenuClick(rightClickMenuItem: RightClickMenuItem, notificationParams: NotificationParams): void;
    setTransmitData(notificationModalParams: NotificationModalParams): void;
    closed(event: AnimationEvent, notificationParams: NotificationParams): void;
    close(): void;
}
