import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { InsideToastParams, ToastModalParams } from "../../meta/toast.meta";
/**
 * toast
 */
export declare class ToastComponent implements DynamicComponentTransmitData<ToastModalParams> {
    openList: InsideToastParams[];
    setTransmitData(toastModalParams: ToastModalParams): void;
    closed(event: AnimationEvent, insideToastParams: InsideToastParams): void;
    close(): void;
}
