import { EventEmitter, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { BrowserService } from "../../service/browser.service";
/**
 * 滚轮事件  和原生的相比解决了浏览器兼容问题
 */
export declare class MouseWhellDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private browserService;
    jyMousewhell: EventEmitter<number>;
    eventName: string;
    mousewheelHandler: Function;
    constructor(elementRef: ElementRef, browserService: BrowserService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
