import { ComponentFactoryResolver, ComponentRef } from "@angular/core";
import { RightClickMenuComponent } from "./right-click-menu.component";
import { ToolsService } from "../../service/tools.service";
import { RightClickMenuProvider } from "../../meta/provider.meta";
/**
 * 组件内部使用
 */
export declare class RightClickMenuService {
    private componentFactoryResolver;
    private toolsService;
    private _currentOpenComponentId;
    private _currentOpenComponentRef;
    rightClickMenuProvider: RightClickMenuProvider;
    setProvider(rightClickMenuProvider: RightClickMenuProvider): void;
    constructor(componentFactoryResolver: ComponentFactoryResolver, toolsService: ToolsService);
    createComponent(id: symbol): ComponentRef<RightClickMenuComponent>;
    closeCurrentComponent(): void;
    closeComponent(id: symbol): void;
    isOpen(id: symbol): boolean;
}
