import { TransmitData } from "./dynamic-component.meta";
import { IconType } from "./common.meta";
/**
 * alert提示框
 */
export interface AlertParams extends TransmitData {
    content: string;
    okLabel?: string;
    yesLabel?: string;
    noLabel?: string;
    iconType?: IconType;
    title?: string;
    okClick?: () => void;
    yesClick?: () => void;
    noClick?: () => void;
}
