/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
export declare let rem: number;
/**
 * 重置
 */
export declare type ResetType = () => void;
/**
 * 空方法
 */
export declare type NoArgsType = () => void;
/**
 * 一秒
 */
export declare const second: number;
/**
 * 一分钟
 */
export declare const minute: number;
/**
 * 一小时
 */
export declare const hour: number;
/**
 * 一天
 */
export declare const day: number;
/**
 * 方位
 */
export declare type Direction = "top" | "right" | "bottom" | "left";
/**
 * 下拉框数据
 */
export interface DataAndLabel {
    data: string;
    label: string;
}
export declare type IconType = "loading" | "success" | "error" | "question" | "warning" | "info";
export declare class Icon {
    static loading: "loading";
    static success: "success";
    static error: "error";
    static question: "question";
    static warning: "warning";
    static info: "info";
}
