export interface Lodop {
    /**
     * 打印初始化
     */
    PRINT_INIT: () => boolean;
    /**
     * 设定纸张大小
     */
    SET_PRINT_PAGESIZE: (intOrient, PageWidth, PageHeight, strPageName) => void;
    /**
     * 增加超文本打印项(普通模式)
     */
    ADD_PRINT_HTM: (Top, Left, Width, Height, strHtmlContent) => void;
    /**
     * 增加表格打印项（超文本模式）
     */
    ADD_PRINT_TABLE: (Top, Left, Width, Height, strHtml) => void;
    /**
     * 增加超文本打印项（URL模式）
     */
    ADD_PRINT_URL: (Top, Left, Width, Height, strURL) => void;
    /**
     * 打印预览
     */
    PREVIEW: () => void;
    /**
     * 直接打印
     */
    PRINT: () => void;
}
