import { TransmitData } from "./dynamic-component.meta";
import { ComponentRef } from "@angular/core";
export interface ModalParams extends TransmitData {
    transmitData?: TransmitData;
    component?: any;
    componentRef?: ComponentRef<any>;
}
export interface ModalItem {
    selector: any;
    transmitData?: any;
    viewPrevent?: boolean;
    modalTop?: boolean;
    componentRef?: ComponentRef<any>;
}
export interface SubmitRemarkModalParams extends ModalParams {
    title: string;
    label: string;
    maxLength: number;
    required?: boolean;
    remark?: string;
    submit: (button: HTMLElement, remark: string, close: () => void) => void;
    closeBefore?: (close: () => void, remark?: string) => void;
}
