import { TransmitData } from "./dynamic-component.meta";
import { IconType } from "./common.meta";
export interface NotificationModalParams extends TransmitData {
    init: (toastControl: NotificationControl) => void;
}
export interface NotificationControl {
    add?: (toastParams: NotificationParams) => void;
}
export interface NotificationParams {
    transmitData: TransmitData;
    selector: any;
    hideClose?: boolean;
    closeHandler?: () => void;
    closeFlag?: boolean;
    close?: () => void;
}
export interface NotificationSimpleParams extends TransmitData {
    content: string;
    okLabel?: string;
    yesLabel?: string;
    noLabel?: string;
    iconType?: IconType;
    title?: string;
    okClick?: () => void;
    yesClick?: () => void;
    noClick?: () => void;
}
