/**
 * date操作
 */
export declare class DateService {
    YYYYMMDDHHMMSSSSS: string;
    YYYYMMDDHHMMSS: string;
    YYYYMMDDHHMM: string;
    YYYYMMDDHH: string;
    YYYYMMDD: string;
    YYYYMM: string;
    MMDD: string;
    HHMMSS: string;
    HHMM: string;
    YYYY: string;
    MM: string;
    DD: string;
    private token;
    private dayNames;
    private monthNames;
    private amPm;
    private twoDigits;
    private threeDigits;
    private fourDigits;
    private word;
    private noop();
    private dayNamesShort;
    private monthNamesShort;
    private parseFlags;
    private i18n;
    private masks;
    private monthUpdate(arrName);
    private pad(val, len?);
    private shorten(arr, newArr, sLen);
    private doFn(d);
    format(date: Date | number, mask: string): string;
    parse(dateString: string, format: string): Date;
    parseTime(dateString: string, format: string): number;
    reduce(date: Date | number, format: string): Date;
    reduceTime(date: Date | number, format: string): number;
    getMaxDays(date?: Date): number;
    getDate(date: Date | number): Date;
    getTime(date: Date | number): number;
    constructor();
}
