import { ToastService } from "./toast.service";
import { NotificationService } from "./notification.service";
import { RippleService } from "./ripple.service";
import { RemService } from "./rem.service";
import { CoreProvider } from "../meta/provider.meta";
import { HttpService } from "./http.service";
import { ModalService } from "./modal.service";
import { DynamicComponentService } from "./dynamic-component.service";
import { FileUploadService } from "./file-upload.service";
import { EnumService } from "./enum.service";
import { GlobalEventsService } from "./global-events.service";
import { RightClickMenuService } from "../directive/right-click-menu/right-click-menu.service";
import { TableBoxService } from "./table-box.service";
import { ProvinceCityAreaService } from "./province-city-area.service";
/**
 * 初始化
 */
export declare class InitService {
    private toastService;
    private notificationService;
    private rippleService;
    private remService;
    private httpService;
    private modalService;
    private dynamicComponentService;
    private fileUploadService;
    private enumService;
    private globalEventsService;
    private rightClickMenuService;
    private tableBoxService;
    private provinceCityAreaService;
    constructor(toastService: ToastService, notificationService: NotificationService, rippleService: RippleService, remService: RemService, httpService: HttpService, modalService: ModalService, dynamicComponentService: DynamicComponentService, fileUploadService: FileUploadService, enumService: EnumService, globalEventsService: GlobalEventsService, rightClickMenuService: RightClickMenuService, tableBoxService: TableBoxService, provinceCityAreaService: ProvinceCityAreaService);
    init(coreProvider: CoreProvider): void;
}
