import { ToolsService } from "./tools.service";
import { RemProvider } from "../meta/provider.meta";
/**
 * rem控制
 */
export declare class RemService {
    private toolsService;
    constructor(toolsService: ToolsService);
    private zoom;
    init(): void;
    setProvider(remProvider: RemProvider): void;
    setZoom(zoom: number): void;
    /**
     * rem转px
     */
    realPx(px: number): number;
    /**
     * px转rem
     */
    pxConvertToRem(px: number): number;
    remPxConvertToPx(remPx: number): number;
}
