/// <reference types="node" />
/**
 * 定时器
 */
export declare class TimerService {
    constructor();
    /**
     * 定义定时器
     * @param endDate 结束时间
     * @param process 间隔调用
     * @param end 结束调用
     * @param intervalTime 间隔时间
     */
    addTimer(endDate: Date | number, process: (date: Date, surplus: number) => void, end: () => void, intervalTime?: number): NodeJS.Timer;
}
